
Redmine - Defect #11855

Previous/Next Links Disappearing

2012-09-17 15:47 - Jonathan Whetsell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

To reproduce:

1. create project

2. add target version: A

3. add target version: B

4. create new issue #1 and assign to target version A

5. create new issue #2 and assign to target version A as well

6. view all issues in project

7. select issue #1 to view detail

8. select update link

9. change version to targer version B

10. select save

Notice the previous/next links disappear.

History

#1 - 2012-09-17 17:31 - Etienne Massip

- Resolution set to Cant reproduce

Can't reproduce; are you sure that your issue list is not filtered to display only issues targetted to version A?

#2 - 2012-09-17 22:25 - Jonathan Whetsell

That could very well be the case. I will try recreate on the demo site and update the instructions

#3 - 2012-09-17 22:51 - Jonathan Whetsell

Yes you are correct.

6a. add target version as a filter with value "A"

6b. select apply button

demo project: http://demo.redmine.org/projects/prevnext

#4 - 2012-09-17 23:12 - Etienne Massip

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

Ok for closing it then?

#5 - 2012-09-18 13:37 - Jonathan Whetsell

Is the desire to lose context of your current query when you change the target version of an issue?

My team is using "sprints" as versions. If an item doesn't finish in a sprint, it gets placed in a backlog. The sprint and backlog indicators are set via

target version.

If I view all issues from Sprint 1 (custom query), drill into an issue for detail and decide to change the target version to backlog, the next/previous links

are gone. There is no easy way to traverse a list of issues from a specified target version and update to a new target version without losing the

context of the original query. It's driving me crazy.
Do you have any suggestions?
